ArraySet (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.ArraySet class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util
Class ArraySet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  org.hyperic.util.ArraySet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess, java.util.Set

    public class ArraySet

extends java.util.ArrayList
implements java.util.Set

The important thing about an ArraySet is that it preserves the insertion order. If you update this class, please keep that in mind :)

See Also:
  Serialized Form

Field Summary
`protected java.util.TreeSet` | `set`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ArraySet()`
`ArraySet(java.util.Comparator c)`

Method Summary
`boolean` | `add(java.lang.Object o)`
`boolean` | `addAll(java.util.Collection c)`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `containsAll(java.util.Collection c)`

Methods inherited from class java.util.ArrayList
`add, addAll, clear, clone, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`clear, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface java.util.List
`equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### set

    protected java.util.TreeSet set

Constructor Detail

### ArraySet

    public ArraySet()

### ArraySet

    public ArraySet(java.util.Comparator c)

Method Detail

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.List`
  Specified by:
    `add` in interface `java.util.Set`
  Overrides:
    `add` in class `java.util.ArrayList`

### addAll

    public boolean addAll(java.util.Collection c)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Specified by:
    `addAll` in interface `java.util.List`
  Specified by:
    `addAll` in interface `java.util.Set`
  Overrides:
    `addAll` in class `java.util.ArrayList`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.List`
  Specified by:
    `contains` in interface `java.util.Set`
  Overrides:
    `contains` in class `java.util.ArrayList`

### containsAll

    public boolean containsAll(java.util.Collection c)

  Specified by:
    `containsAll` in interface `java.util.Collection`
  Specified by:
    `containsAll` in interface `java.util.List`
  Specified by:
    `containsAll` in interface `java.util.Set`
  Overrides:
    `containsAll` in class `java.util.AbstractCollection`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.